## python-lsassy 3.1.9

=== Makefile ===
clean:
	rm -f -r build/
	rm -f -r dist/
	rm -f -r *.egg-info
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f  {} +
	find . -name '__pycache__' -exec rm -rf  {} +

publish: clean
	python setup.py sdist bdist_wheel
	python -m twine upload dist/*

testpublish: clean
	python setup.py sdist bdist_wheel
	python -m twine upload --repository-url https://test.pypi.org/legacy/ dist/*

linux: clean
	python setup.py install
	pyinstaller ./lsassy/console.py --onefile --clean -n lsassy_linux_amd64 --additional-hooks-dir=hooks

windows: clean
	python setup.py install
	pyinstaller ./lsassy/console.py --onefile --clean -n lsassy_windows_amd64 --additional-hooks-dir=hooks

rebuild: clean
	python setup.py install

build: clean
	python setup.py install

install: build

test:
	python setup.py test

=== debian/changelog ===
python-lsassy (3.1.9-0parrot1) lory-updates; urgency=medium

  * New upstream release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 31 Jan 2024 02:22:35 +0100

python-lsassy (3.1.6-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 16:52:45 +0200

python-lsassy (3.1.6-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.6
  * Add missing build-dep
  * Bump Standards-Version to 4.6.2

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 26 Jan 2023 17:45:45 +0100

python-lsassy (3.1.1-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Update Maintainer field
  * Configure git-buildpackage for Kali
  * Add GitLab's CI configuration file
  * New upstream version 3.1.1

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Import upstream version 2.1.3, md5 e259e86688411560a576158622069a0b

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 17 Jan 2022 17:11:33 +0100

python-lsassy (2.1.2-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 08 May 2020 11:02:47 +0200

=== debian/control ===
Source: python-lsassy
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
	       pybuild-plugin-pyproject,
               python3-all,
               python3-impacket,
               python3-ldapdomaindump (>= 0.9.0),
               python3-netaddr,
	       python3-poetry-core,
               python3-pypykatz (>= 0.3.7-0parrot1),
               python3-setuptools
Standards-Version: 4.6.2
Homepage: https://github.com/Hackndo/lsassy
Testsuite: autopkgtest-pkg-python

Package: python3-lsassy
Architecture: all
Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
Description: Extract credentials from lsass remotely (Python 3)
 This package contains Python library to remotely extract credentials on a set
 of hosts.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=python-lsassy
export PYBUILD_DISABLE_python3=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

## python-lsassy 3.1.11

=== requirements.txt ===
impacket
netaddr
pypykatz>=0.6.3
rich

=== debian/changelog ===
python-lsassy (3.1.11-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.11

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 Aug 2024 15:20:06 +0200

python-lsassy (3.1.10-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.10

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 19 Apr 2024 11:26:34 +0200

python-lsassy (3.1.9-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.9

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 21 Mar 2024 16:58:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: python-lsassy
 Section: python
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
 	       pybuild-plugin-pyproject,
@@ -11,10 +11,12 @@
                python3-ldapdomaindump (>= 0.9.0),
                python3-netaddr,
 	       python3-poetry-core,
-               python3-pypykatz (>= 0.3.7-0parrot1),
+               python3-pypykatz (>= 0.3.7-0kali2),
                python3-setuptools
 Standards-Version: 4.6.2
 Homepage: https://github.com/Hackndo/lsassy
+Vcs-Browser: https://gitlab.com/kalilinux/packages/python-lsassy
+Vcs-Git: https://gitlab.com/kalilinux/packages/python-lsassy.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-lsassy

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,3 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-
-override_dh_auto_test:
-

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-lsassy-$1.tar.gz%" \
   https://github.com/Hackndo/lsassy/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
